
package clustering;

public class Edge<V> {
    V vertex1;
    V vertex2;

    public Edge(V vertex1, V vertex2) {
        this.vertex1 = vertex1;
        this.vertex2 = vertex2;
    }

    public V getVertex1() {
        return vertex1;
    }

    public V getVertex2() {
        return vertex2;
    }

    public void setVertex1(V vertex1) {
        this.vertex1 = vertex1;
    }

    public void setVertex2(V vertex2) {
        this.vertex2 = vertex2;
    }

    @Override
    public String toString(){
        return vertex1 + " --> "+ vertex2;
    }
    

    
}
